GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
stream_map.c File Reference
`#include "src/core/transport/chttp2/stream_map.h"`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/useful.h>`

## Functions
void | grpc_chttp2_stream_map_init (grpc_chttp2_stream_map *map, size_t initial_capacity)
void | grpc_chttp2_stream_map_destroy (grpc_chttp2_stream_map *map)
void | grpc_chttp2_stream_map_add (grpc_chttp2_stream_map *map, gpr_uint32 key, void *value)
void | grpc_chttp2_stream_map_move_into (grpc_chttp2_stream_map *src, grpc_chttp2_stream_map *dst)
void * | grpc_chttp2_stream_map_delete (grpc_chttp2_stream_map *map, gpr_uint32 key)
void * | grpc_chttp2_stream_map_find (grpc_chttp2_stream_map *map, gpr_uint32 key)
size_t | grpc_chttp2_stream_map_size (grpc_chttp2_stream_map *map)
void | grpc_chttp2_stream_map_for_each (grpc_chttp2_stream_map *map, void(*f)(void *user_data, gpr_uint32 key, void *value), void *user_data)

## Function Documentation

void grpc_chttp2_stream_map_add | ( | grpc_chttp2_stream_map * | map,
|  | gpr_uint32 | key,
|  | void * | value
| ) |  |

void* grpc_chttp2_stream_map_delete | ( | grpc_chttp2_stream_map * | map,
|  | gpr_uint32 | key
| ) |  |

void grpc_chttp2_stream_map_destroy | ( | grpc_chttp2_stream_map * | map | ) |

void* grpc_chttp2_stream_map_find | ( | grpc_chttp2_stream_map * | map,
|  | gpr_uint32 | key
| ) |  |

void grpc_chttp2_stream_map_for_each | ( | grpc_chttp2_stream_map * | map,
|  | void(*)(void *user_data, gpr_uint32 key, void *value) | f,
|  | void * | user_data
| ) |  |

void grpc_chttp2_stream_map_init | ( | grpc_chttp2_stream_map * | map,
|  | size_t | initial_capacity
| ) |  |

void grpc_chttp2_stream_map_move_into | ( | grpc_chttp2_stream_map * | src,
|  | grpc_chttp2_stream_map * | dst
| ) |  |

size_t grpc_chttp2_stream_map_size | ( | grpc_chttp2_stream_map * | map | ) |